summaryrefslogtreecommitdiff
path: root/travis-should-run-test
diff options
context:
space:
mode:
authorDavid Sterba <dsterba@suse.com>2017-08-28 14:28:53 +0200
committerDavid Sterba <dsterba@suse.com>2017-09-08 16:15:05 +0200
commit4ef5a112c9d2fe9d6f03ac2ea3aa5b1af0f37254 (patch)
tree68c62e17c7c1b382c04146ce77e976b24a625990 /travis-should-run-test
parentee3725211533ed5592af79f2e6cb4524ed089047 (diff)
btrfs-progs: tests: pull and build reiserfs lib inside CI
The functionality needed to support reiserfs in convert has been added recently and is not yet available in the CI images, so we'll download and build it there. Signed-off-by: David Sterba <dsterba@suse.com>
Diffstat (limited to 'travis-should-run-test')
-rwxr-xr-xtravis-should-run-test24
1 files changed, 24 insertions, 0 deletions
diff --git a/travis-should-run-test b/travis-should-run-test
new file mode 100755
index 00000000..f711615c
--- /dev/null
+++ b/travis-should-run-test
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+if [ -z "$TRAVIS_BRANCH" ] ; then
+ # no branch? run anyway
+ exit 0
+fi
+
+# no tests
+if [ "$TRAVIS_BRANCH" = 'coverity_scan' ]; then
+ exit 1
+fi
+
+# quick tests
+if [ "$TRAVIS_BRANCH" = 'devel' -o "$TRAVIS_BRANCH" = 'master' ]; then
+ exit 0
+fi
+
+# all tests
+if [ "$TRAVIS_BRANCH" = 'release-test' ]; then
+ exit 0
+fi
+
+# branch not recognized
+exit 1